/*
 * Copyright (C) 2006 INDT
 *  Andre Moreira Magalhaes <andre.magalhaes@indt.org.br>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA*
 */

#ifndef __DAAP_PLAYLIST_H__
#define __DAAP_PLAYLIST_H__

#include <glib.h>
#include <glib-object.h>

#include <libdmapsharing/dmap-item.h>

G_BEGIN_DECLS

#define TYPE_DAAP_PLAYLIST         (daap_playlist_get_type ())
#define DAAP_PLAYLIST(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), TYPE_DAAP_PLAYLIST, DAAPPlaylist))
#define DAAP_PLAYLIST_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST((k), TYPE_DAAP_PLAYLIST, DAAPPlaylistClass))
#define IS_DAAP_PLAYLIST(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), TYPE_DAAP_PLAYLIST))
#define IS_DAAP_PLAYLIST_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), TYPE_DAAP_PLAYLIST))
#define DAAP_PLAYLIST_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), TYPE_DAAP_PLAYLIST, DAAPPlaylistClass))

typedef struct _DAAPPlaylist        DAAPPlaylist;
typedef struct _DAAPPlaylistClass   DAAPPlaylistClass;
typedef struct _DAAPPlaylistPrivate DAAPPlaylistPrivate;

struct _DAAPPlaylistClass {
    DMAPItemClass parent;
};

struct _DAAPPlaylist {
    DMAPItem parent;
};

GType daap_playlist_get_type (void);

G_END_DECLS

#endif
