/*
 * Copyright (C) 2004,2005 Charles Schmidt <cschmidt2@emich.edu>
 * Copyright (C) 2006 INDT
 *  Andre Moreira Magalhaes <andre.magalhaes@indt.org.br>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA*
 */

#ifndef __DAAP_ROOT_ITEM_H__
#define __DAAP_ROOT_ITEM_H__

#include <glib.h>
#include <glib-object.h>

#include <libdmapsharing/dmap-item.h>

G_BEGIN_DECLS

#define TYPE_DAAP_ROOT_ITEM         (daap_root_item_get_type ())
#define DAAP_ROOT_ITEM(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), TYPE_DAAP_ROOT_ITEM, DAAPRootItem))
#define DAAP_ROOT_ITEM_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST((k), TYPE_DAAP_ROOT_ITEM, DAAPRootItemClass))
#define IS_DAAP_ROOT_ITEM(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), TYPE_DAAP_ROOT_ITEM))
#define IS_DAAP_ROOT_ITEM_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), TYPE_DAAP_ROOT_ITEM))
#define DAAP_ROOT_ITEM_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), TYPE_DAAP_ROOT_ITEM, DAAPRootItemClass))

typedef struct _DAAPRootItem        DAAPRootItem;
typedef struct _DAAPRootItemClass   DAAPRootItemClass;
typedef struct _DAAPRootItemPrivate DAAPRootItemPrivate;

struct _DAAPRootItemClass {
    DMAPItemClass parent;
};

struct _DAAPRootItem {
    DMAPItem parent;
};

GType daap_root_item_get_type (void);

G_END_DECLS

#endif
