/*
 * Copyright (C) 2006 INDT
 *  Andre Moreira Magalhaes <andre.magalhaes@indt.org.br>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA*
 */

#ifndef __DPAP_PHOTO_H__
#define __DPAP_PHOTO_H__

#include <glib.h>
#include <glib-object.h>

#include <libdmapsharing/dmap-item.h>

G_BEGIN_DECLS

#define TYPE_DPAP_PHOTO         (dpap_photo_get_type ())
#define DPAP_PHOTO(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), TYPE_DPAP_PHOTO, DPAPPhoto))
#define DPAP_PHOTO_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST((k), TYPE_DPAP_PHOTO, DPAPPhotoClass))
#define IS_DPAP_PHOTO(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), TYPE_DPAP_PHOTO))
#define IS_DPAP_PHOTO_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), TYPE_DPAP_PHOTO))
#define DPAP_PHOTO_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), TYPE_DPAP_PHOTO, DPAPPhotoClass))

typedef struct _DPAPPhoto        DPAPPhoto;
typedef struct _DPAPPhotoClass   DPAPPhotoClass;
typedef struct _DPAPPhotoPrivate DPAPPhotoPrivate;

struct _DPAPPhotoClass {
    DMAPItemClass parent;
};

struct _DPAPPhoto {
    DMAPItem parent;

    DPAPPhotoPrivate *priv;
};

GType dpap_photo_get_type (void);

G_END_DECLS

#endif
